Subject: bug#34178: 27.0.50; Tramp not responding correctly to "/scp:slc:" syntax

From: Tim Blackman <[email-masked]>
Date: Wed, 23 Jan 2019 09:57:08 -0500

On Jan 23, 2019, at 9:46 AM, Michael Albinus <[email-masked]> wrote:

>> When using this nightly Emacs build, I noticed that C-x C-f was not
>> responding correctly to the normal tramp syntax.
>> 
>> After starting up with 'emacs -Q', I did:
>> 
>>  C-x C-f /scp:slc:<RET>
>> 
>> ("slc" is the name of my remote host.)
>> 
>> The message area displayed:
>> 
>> File not found and directory write-protected
>> 
>> The buffer showing was named "scp:slc:", so it seemed to think I was
>> talking about a local file.
>> 
>> Note that when I type C-x C-f in the 26.1 pretest version, the default
>> directory is "~/", but it is "/" in the nightly. Not sure if that is
>> significant.
>> 
>> Note that, following instructions, I did M-: (setq tramp-verbose 6)
>> prior to calling C-x C-f, but there did not seem to be a tramp debug
>> trace generated. I'm guessing that the problem is happening earlier and
>> the command is deciding to not invoke tramp at all.
> 
> Hmm, yes. Tramp shall be autoloaded.

🙏🙏🙏

> Could you pls perform 'C-h v file-name-handler-alist' prior and after
> opening your file?

When I do that and press <RET>, I get transient minibuffer output that says:

  Wrong type argument: stringp, (require . elec-pair)

Same thing happens on second <RET>, but third one works — neat!

The C-x C-f behavior is unchanged after this: Still says file not found and brings up a local buffer.

> As a second test, does it help to preload Tramp when starting Emacs, as
> with 'emacs -Q -l tramp'?

That got tramp to work. Then I see the redisplay problem. :-)

- Tim